/*Escribir un programa que pida una frase acabada en un punto y cuente las palabras 
que contiene.*/

#include<stdio.h>
#include<string.h>
#include<conio.h>

#define M 50

void main(void)
{	
	char frase[M];
	int numpal=0,i,dim;
	
	clrscr();
	printf("Teclee una frase por teclado y que temrine en un punto:\n ");
	gets(frase);
	dim=strlen(frase);
	if(frase[dim]!='.')
	{
		frase[dim+1]='.';
	}
	fflush(stdout);

	for(i=0;i<M;i++)
	{
		if(frase[i]==' ' || frase[i]=='.')
		{
			if(frase[i+1]!=' ')
			{
				numpal++;
			}
		}
		if(frase[i]=='.' && frase[i+1]!=' ')
		{
			i=M;
		}
	}
	printf("El n£mero de palabras que contiene la frase es: %d",numpal);
	getch();
}